Subject: Re: FVWM: snap to a line?

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 15 Jan 2001 14:48:34 -0600

On 18 Dec 2000 15:32:01 -0500, Kendrick Vargas wrote:
> 
> I'm using a dev. snapshot (fairly recent) of fvwm2.4. I just installed a
> dual-head setup and have that working fine on XF4.0.1 w/ xinerama.
> 
> Is there anyway I can have fvwm snap windows to a defined vertical or
> horizontal line somewhere on my "physical" screen? Basically, I'd like to
> be able to snap windows to the center of my display so that I can align
> windows to the monitor edges.

No, this is not possible. Well, there is always a hope. Here is a hack
which I can suggest.

Create trans-1x1.xpm in ~/.fvwm, containing one line:

  /* XPM */static char *trans_1x1_xpm[] = { "1 1 1 1", ". c None", "." }

Now execute these commands:

  SnapAttraction 10 Windows
  Style */trans-1x1.xpm NoTitle, NoHandles, BorderWidth 0, NeverFocus, \
  	Sticky, StaysOnBottom, CirculateSkip, WindowListSkip
  # the following three commands should be in InitFunction
  Exec killall sxpm; sxpm $./trans-1x1.xpm
  Wait */trans-1x1.xpm
  Next (*/trans-1x1.xpm CirculateHit) Move 50 50

The side effect is that now all your windows snap to each other, which may
be not what you want. Other than that works fine for me. Snaps to center.

> If this isn't possible, can it be a feature? I think it'd make a good one
> :-) Maybe a SnapToLine or even a SnapToPoint?

More general DeleteSnapRectangles/AddSnapRectangle? Shrug.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].